​
Select Service
ves-io-schema-site-API-Get
Published April 5, 2023 | Last modified May 28, 2026
Examples of getting site
Usecase:
Get site-1
Request using vesctl:
vesctl configuration get site site-1 --namespace system
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: site-1 namespace: systemreferringObjects: []resourceVersion: "3309"spec: connectedRe: [] connectedReForConfig: [] ipsecSslNodesFqdn: [] mainNodes: [] siteToSiteIpsecConnectivity: [] siteType: REGIONAL_EDGE vipParamsPerAz: []status: []systemMetadata: creationTimestamp: "2026-04-13T02:01:14.357395Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: 9ce82969-0a33-4da5-96f8-f58796f495aaRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/system/sites/site-1?response_format=0'curl response:
HTTP/1.1 200 OKContent-Type: application/jsonDate: Mon, 13 Apr 2026 02:01:14 GMTVary: Accept-Encoding
{ "replace_form": null, "resource_version": "3309", "metadata": { "name": "site-1", "namespace": "system", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "9ce82969-0a33-4da5-96f8-f58796f495aa", "creation_timestamp": "2026-04-13T02:01:14.357395Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "site_type": "REGIONAL_EDGE", "address": "", "coordinates": null, "volterra_software_version": "", "site_subtype": "NO_SUBTYPE", "connected_re": [ ], "connected_re_for_config": [ ], "inside_vip": "", "inside_vip_v6": "", "outside_vip": "", "outside_vip_v6": "", "vip_selection": "VIP_SELECTION_IPV4_IPV6", "vip_params_per_az": [ ], "vip_vrrp_mode": "VIP_VRRP_INVALID", "site_to_site_network_type": "VIRTUAL_NETWORK_SITE_LOCAL", "site_to_site_tunnel_ip": "", "volterra_software_overide": "SITE_SOFTWARE_OVERRIDE_SITE", "bgp_router_id": "", "bgp_peer_address": "", "bgp_peer_address_v6": "", "inside_nameserver": "", "outside_nameserver": "", "inside_nameserver_v6": "", "outside_nameserver_v6": "", "desired_pool_count": 0, "tunnel_type": "SITE_TO_SITE_TUNNEL_IPSEC_OR_SSL", "operating_system_version": "", "site_state": "ONLINE", "tunnel_dead_timeout": 0, "region": "", "ce_site_mode": "CE_SITE_MODE_INGRESS_EGRESS_GW", "local_k8s_access_enabled": false, "default_underlay_network": null, "local_access_k8s_enabled": false, "global_access_k8s_enabled": false, "vm_enabled": false, "site_to_site_ipsec_connectivity": [ ], "ipsec_ssl_nodes_fqdn": [ ], "main_nodes": [ ], "multus_enabled": false, "private_connectivity": null, "re_select": null, "admin_user_credentials": null, "proactive_monitoring": null, "kubernetes_upgrade_drain": null }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}